> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Overlay Coordinate API Endpoint

> This API endpoint allows a user to edit an existing overlay coordinate.



## OpenAPI

````yaml put /api/overlay-coordinate/edit/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/overlay-coordinate/edit/:
    put:
      tags:
        - api
      summary: Edit Overlay Coordinate API Endpoint
      description: This API endpoint allows a user to edit an existing overlay coordinate.
      operationId: edit_overlay_coordinate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditOverlayCoordinate'
        required: true
      responses:
        '200':
          description: Successfully edited the overlay coordinate
          content:
            application/json:
              schema:
                title: Overlay Coordinate
                type: object
                properties:
                  coordinate_id:
                    type: integer
                  overlay_visualizer:
                    type: string
                  x:
                    type: string
                  'y':
                    type: string
                description: Overlay Coordinate OpenAPI Schema
              example:
                coordinate_id: 1
                overlay_visualizer: Bottom Right
                x: main_w-overlay_w
                'y': main_h-overlay_h
        '400':
          description: Failed to edit the overlay coordinate or validation errors
          content: {}
        '500':
          description: Failed to edit the overlay coordinate
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  schemas:
    EditOverlayCoordinate:
      required:
        - coordinate_id
      type: object
      properties:
        coordinate_id:
          title: Coordinate id
          type: integer
        overlay_visualizer:
          title: Overlay visualizer
          minLength: 1
          type: string
        x:
          title: X
          minLength: 1
          type: string
        'y':
          title: 'Y'
          minLength: 1
          type: string
        x_offset:
          title: X offset
          minLength: 1
          type: string
        y_offset:
          title: Y offset
          minLength: 1
          type: string
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````